# Function forArtifactAt

- forArtifactAt(artifact, address, settings): Promise<ContractInstanceDecoder>

- This function is asynchronous.

  Constructs a contract instance decoder for a contract instance at a given address.

  #### Parameters

  - ##### artifact: ContractObject

    The artifact corresponding to the type of the contract.

    A contract constructor object may be substituted for the artifact, so if you're not sure which you're dealing with, it's OK.

  - ##### address: string

    The address of the contract instance to decode.

    Address must either be checksummed, or in all one case to circumvent the checksum. Mixed-case with bad checksum will cause this function to throw an exception.

  - ##### settings: DecoderSettings

    The [[DecoderSettings]] to use, including the provider; see the documentation for that type for more information.

  #### Returns Promise<ContractInstanceDecoder>

  - Defined in decoder/lib/index.ts:309

Generated using TypeDoc